{% extends 'base.html' %}
{% load static %}

{% block main %}
<main id="main" class="w-100 main container border rounded border-white py-4 my-3 d-flex flex-column">
    <div id="current-tasks"
        class="w-100 px-5 d-flex flex-column justify-content-start align-items-start border rounded border-white p-3">

        <div class="w-100 d-flex  justify-content-between align-content-center gap-2">
            <div class=" d-flex flex-column">
                <div class="d-flex justify-content-start align-items-start gap-2">
                    <p>
                        Mode de jeu : <span class="fs-6 fw-bold">{{ game.get_current_mode_french }}</span>
                    </p>
                </div>
                <div class="d-flex justify-content-start align-items-start gap-2">
                    <p>
                        Tâche de référence de déficluté 1 : <span class="fs-5 fw-bold">{{ game.base_task }}</span>
                    </p>
                </div>
                <div class="d-flex justify-content-start align-items-start gap-2">
                    <p class="mb-0" id="currentTask">Tâche en cours : <br>{{ main_task.name }}</p>
                </div>
            </div>


            <div class="d-flex justify-content-end align-content-center position-relative">
                <button data-menu="articlePcActionOption" type="button"
                    class="moreOptionToggle normal-btn fw-bold fs-3 pe-3 text-white">:</button>
                <div class="more-option-menu" id="articlePcActionOption">
                    <div
                        class="px-2 py-1ottom text-dark d-flex align-content-center align-items-center justify-content-start gap-2">
                        <i class="fa-solid fa-power-off"></i>
                        <a href="{% url 'reset_game' %}" class="normal-link one-ligne-text">Supprimer le jeu</a>
                    </div>
                    <div
                        class="px-2 py-1ottom text-dark d-flex align-content-center align-items-center justify-content-start gap-2">
                        <i class="fa-solid fa-power-off"></i>
                        <a href="{% url 'pause_game' %}" class="normal-link one-ligne-text">Pause</a>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div id="playing-layout" class="d-flex flex-row align-items-start justify-content-start gap-1 w-100">
        <div id="playing-players"
            class="d-flex flex-column align-items-start justify-content-start p-1 border border-white rounded w-25 h-100 my-3">

            {% for voter in voters.all %}
            <div class="d-flex one-ligne-text px-1 py-2 w-100 justify-content-start gap-2 align-items-center border-bottom">
                <i class="fa-solid fa-circle {% if not voter.voted %} {% if main_voter == voter.user %} text-warning {% else %} text-danger{% endif %}{% else %} text-success{% endif %} p-1 rounded-full"></i>
                <span>{{ voter.user.username|title }}</span>
            </div>
            {% endfor %}

        </div>

        <form action="{% url 'new_vote' round.id main_voter.id %}" method="POST" id="playing-center"
            class="d-flex flex-column align-items-start justify-content-start gap-3 w-100">
            <div id="playing-cards" class="d-flex flex-wrap align-content-start justify-content-center gap-3 my-3 px-2">
                {% csrf_token %}

                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_0">
                    <img class="card-size" src="{% static 'images/cartes_0.svg' %}" alt="cartes_0">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_1">
                    <img class="card-size" src="{% static 'images/cartes_1.svg' %}" alt="cartes_1">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_2">
                    <img class="card-size" src="{% static 'images/cartes_2.svg' %}" alt="cartes_2">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_3">
                    <img class="card-size" src="{% static 'images/cartes_3.svg' %}" alt="cartes_3">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_5">
                    <img class="card-size" src="{% static 'images/cartes_5.svg' %}" alt="cartes_5">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_8">
                    <img class="card-size" src="{% static 'images/cartes_8.svg' %}" alt="cartes_8">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_13">
                    <img class="card-size" src="{% static 'images/cartes_13.svg' %}" alt="cartes_13">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_20">
                    <img class="card-size" src="{% static 'images/cartes_20.svg' %}" alt="cartes_20">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_40">
                    <img class="card-size" src="{% static 'images/cartes_40.svg' %}" alt="cartes_40">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_100">
                    <img class="card-size" src="{% static 'images/cartes_100.svg' %}" alt="cartes_100">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_cafe">
                    <img class="card-size" src="{% static 'images/cartes_cafe.svg' %}" alt="cartes_cafe">
                </label>
                <label class="play-card ">
                    <input type="radio" name="selected-card" value="cartes_interro">
                    <img class="card-size" src="{% static 'images/cartes_interro.svg' %}" alt="cartes_interro">
                </label>
            </div>
            <div id="action" class="w-100 d-flex justify-content-center align-items-center">
                <button type="submit" disabled id="validate-btn"
                    class="normal-btn bg-success d-flex justify-content-center align-items-center align-content-center gap-2 px-3 py-2 rounded">
                    <i class="fa-solid fa-check"></i>
                    <span>Valider</span>
                </button>
            </div>
        </form>
    </div>
</main>
<script>
    const playingCards = document.querySelectorAll('#playing-cards input');
    const validateBtn = document.querySelector('#validate-btn');
    playingCards.forEach(card => {
        card.addEventListener('click', () => {
            validateBtn.disabled = false;
        })
    })
</script>

{% endblock main %}